<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: 1.2
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 后台系统-不良词语过滤处理程式
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 技术论坛: http://ctb.11cn.org
\* 创建日期: 2002/7/10
\* 修改日期: ------
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================
class Module extends CommonClass
//系统管理模块子类
{
    function execute() {
        switch($this->input['action']) {
            case 'showBadWord':
                $this->showBadWord();
                break;
            case 'addBadWord':
                $this->addBadWord();
                break;
            case 'deleteBadWord':
                $this->deleteBadWord();
                break;
            case 'modeBadWord':
                $this->modeBadWord();
                break;
			//
        }	
    } // end func

//-----------------------------------------------------------------------------
//---后台一些处理模块
//1---显示所有不良词语条目:showBadWord()
//2---添加新的不良词语:addBadWord()
//3---删除一个不良词语:deleteBadWord()
//4---修改不良词语:modeBadWord()
//5---
//6---
//-----------------------------------------------------------------------------
//1=============================================================================
//显示所有不良词语条目
function showBadWord()
{
	$this->file = "../".$this->set[dataPath]."/badword.php";
    $badWordLine = $this->openfile();
	for( $i = 0; $i < count($badWordLine); $i++) {
	    $num=$i+1;
	    $id=$badWordLine[$i][1];
	    $badWord=$badWordLine[$i][2];
	    $badWordReplace=$badWordLine[$i][3];
	    eval ("\$grade_body .= \"".$this->getTemplate("systemBadWordBody")."\";");
	}
    eval("\$this->outPut(\"".$this->getTemplate("systemBadWord")."\");");
} // end func

//2=============================================================================
//添加新的不良词语
function addBadWord()
{   
    $this->inputCheck("main.php?mod=systemword&action=showBadWord");

    $id=time();
	$this->file = "../".$this->set[dataPath]."/badword.php";
    $newBadWord = array(stripslashes($this->code),$id,$this->input['badWord'],$this->input['badWordReplace'],"");
	$this->add_line($newBadWord);
    $this->adminShowMsg("main.php?mod=systemword&action=showBadWord","您已经成功添加了新的不良词汇");
} // end func

//3=============================================================================
//删除一个不良词语
function deleteBadWord()
{   
	$this->file = "../".$this->set[dataPath]."/badword.php";
	$this->delete2("1",$this->input['id']);
    $this->adminShowMsg("main.php?mod=systemword&action=showBadWord","您已经成功删除了这个不良词汇");
} // end func


//4=============================================================================
//修改不良词语
function modeBadWord()
{   
    //简单格式化输入数据
    $this->inputCheck("main.php?mod=systemword&action=showBadWord");
	//
	$this->file = "../".$this->set[dataPath]."/badword.php";
    $newBadWord=array(stripslashes($this->code),$this->input['id'],$this->input['badWord'],$this->input['badWordReplace'],"","\n");
	$this->update2("1",$this->input['id'],$newBadWord);
    $this->adminShowMsg("main.php?mod=systemword&action=showBadWord","您已经成功修改了这个不良词汇");
} // end func



//=============================================================================
} //end class
